Holds

This endpoint will place a temporary hold on the requested time slot so that the partner can request all the required reservation information from the user. Holds are only valid for 5 minutes and you must use the hold id returned from this endpoint to place the reservation or you will get a conflict.

Note: All parameters being sent into the holds endpoint needs to be sent as form data inside of the request body. They will not work as query parameters.

cURL example with OAuth authentication:

    curl -X POST "https://api.yelp.com/v3/bookings/victors-french-bistro-test-listing-san-francisco/holds" -H "authorization: Bearer {ACCESS_TOKEN}" -H "content-type: application/x-www-form-urlencoded" -d "covers=2&date=2017-12-30&time=18%3A00&unique_id=tmL95Scg93sajOswiIl4kA"

Example 200 response:

{
    "cancellation_policy": "Cancel before it's too late!",
    "credit_card_hold": false,
    "expires_at": 1506118155.568123,
    "hold_id": "KiXJLFFBnwW6NJbK34uKBQ",
    "is_editable": false,
    "last_cancellation_date": 1506106800.0,
    "notes": "Join us for Happy Hour.",
    "reserve_url": "https://www.yelp.com/reservations/aeJKOHWHK-z9ALQVTZj_Jw/checkout/2017-09-23/1200/3?hold_id=23774490"
}
Path Params
string
required

A unique identifier for a Yelp Business. Can be either a 22-character Yelp Business ID, or a Yelp Business Alias.

Body Params
integer
required
1 to 10

How many people are attending the reservation.

string
required

The date for the reservation, format is YYYY-mm-dd

string
required

The time of the requested reservation, format is HH:MM.

string
required
length ≤ 300

This should be the user's device id or a unique user id to help tie together actions of the user on the API. Multiple requests to the Holds endpoint by the same user should use the same unique_id.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json